Bug 260901 - mdadm comes before readonly-root in rc.sysinit so diskless boot cannot have mdadm.conf specify homehost
mdadm comes before readonly-root in rc.sysinit so diskless boot cannot have m...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-28 12:41 EDT by Alexander Aminoff
Modified: 2008-06-16 22:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:15:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Aminoff 2007-08-28 12:41:25 EDT
Description of problem:

On a stateless booting system, rc.sysinit runs mdadm -A -s before loading up all
the remote state information, including /etc/mdadm.conf. Therefore mdadm has no
way of knowing what the homehost is supposed to be, so does not start any of the
arrays.

Version-Release number of selected component (if applicable):

mdadm-2.6.2-4.fc7
initscripts-8.54.1-1

How reproducible:

always

Steps to Reproduce:
1. Create an array with --homehost=`hostname`, or update an array with
--auto-update-homehost.

2. Reboot the system. (If the system boots from local disk, you can reproduce
this problem by just removing /etc/mdadm.conf).

3. array is not started.
  
Actual results:


Expected results:


Additional info:

For a system booting from local disk this is no problem - just put HOMEHOST in
/etc/mdadm.conf and you're done. However, if you want a system to boot stateless
over tftp/pxelinux/NFS, and then automatically start up arrays, there is no
simple way to do it.

It seems to me that there are 2 ways to fix this, depending on whether you
consider the bug to be in mdadm or in initscripts.

mdadm could default to using the current hostname as the HOMEHOST if not
otherwise set.

Or you could change rc.sysinit to run mdadm -A -s after all the readonly-root
stateless stuff. Or, just run it twice - I don't think that would hurt anything.
Comment 1 Bug Zapper 2008-05-14 10:08:45 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:15:30 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.